import * as React from 'react';
import Smartphone from 'react-feather/dist/icons/smartphone';
import Tablet from 'react-feather/dist/icons/tablet';
import Monitor from 'react-feather/dist/icons/monitor';
import styled from 'styled-components';
import { ActionButton } from "../Editor/elements";
import { get } from "../../../utils/theme";
var Wrapper = styled.div.withConfig({
  displayName: "ResizeBar__Wrapper"
})(["position:absolute;top:10px;left:50%;margin-bottom:5px;transform:translateX(-50%);"]);
var Buttons = styled.div.withConfig({
  displayName: "ResizeBar__Buttons"
})(["display:flex;background:", ";border:1px solid ", ";border-radius:", ";padding:3px 5px;"], get('colors.background'), get('colors.border'), get('radii'));
export var ResizeBar = function ResizeBar(_ref) {
  var onChangeSize = _ref.onChangeSize;
  return React.createElement(Wrapper, null, React.createElement(Buttons, null, React.createElement(ActionButton, {
    onClick: function onClick() {
      return onChangeSize('360px', '640px');
    },
    title: "Smartphone"
  }, React.createElement(Smartphone, {
    width: 20
  })), React.createElement(ActionButton, {
    onClick: function onClick() {
      return onChangeSize('768px', '1024px');
    },
    title: "Tablet"
  }, React.createElement(Tablet, {
    width: 20
  })), React.createElement(ActionButton, {
    onClick: function onClick() {
      return onChangeSize('1366px', '1024px');
    },
    title: "Monitor"
  }, React.createElement(Monitor, {
    width: 20
  }))));
};